Bug 8249 - File shares are dropped.
File shares are dropped.
Status: RESOLVED FIXED
Product: Samba 3.4
Classification: Unclassified
Component: File services
3.4.7
x86 Linux
: P5 critical
: ---
Assigned To: Volker Lendecke
Samba QA Contact
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2011-06-21 19:13 UTC by Fairview
Modified: 2016-04-25 13:37 UTC (History)
0 users

See Also:


Attachments
A representative log file. (164.92 KB, text/plain)
2011-06-21 19:13 UTC, Fairview
no flags Details

Note You need to log in before you can comment on or make changes to this bug.
Description Fairview 2011-06-21 19:13:12 UTC
Created attachment 6601 [details]
A representative log file.

Ubuntu linux is acting as a server to windows XP machines. Shared disks and directories are randomly lost and reconnected. Although there appears to be errors in the logs going way back, I have only recently noticed the behaviour - suspect the frequency has increased markedly?

This is critically affecting the utility of the server.

Cores subdirectory is empty.
Comment 1 Jeremy Allison 2011-06-23 20:30:49 UTC
Ok, it's pretty clear what is going wrong here:

2011/05/30 11:48:36,  0] param/loadparm.c:8569(process_usershare_file)
  process_usershare_file: stat of /var/lib/samba/usershares/documents failed. Permission denied
[2011/05/30 14:47:34,  0] param/loadparm.c:8569(process_usershare_file)
  process_usershare_file: stat of /var/lib/samba/usershares/documents failed. Permission denied
[2011/05/30 14:59:55,  0] param/loadparm.c:8569(process_usershare_file)
  process_usershare_file: stat of /var/lib/samba/usershares/freeagent drive failed. Permission denied
[2011/05/30 17:21:18,  0] param/loadparm.c:8569(process_usershare_file)
  process_usershare_file: stat of /var/lib/samba/usershares/freeagent drive failed. Permission denied
[2011/05/30 18:12:04,  0] lib/substitute.c:560(alloc_sub_basic)
  alloc_sub_basic: NULL source string!  This should not happen
[2011/05/30 18:12:04,  0] lib/substitute.c:560(alloc_sub_basic)
  alloc_sub_basic: NULL source string!  This should not happen
[2011/05/30 18:12:04,  0] lib/fault.c:46(fault_report)
  ===============================================================
[2011/05/30 18:12:04,  0] lib/fault.c:47(fault_report)
  INTERNAL ERROR: Signal 11 in pid 3016 (3.4.7)
  Please read the Trouble-Shooting section of the Samba3-HOWTO
[2011/05/30 18:12:04,  0] lib/fault.c:49(fault_report)
  
  From: http://www.samba.org/samba/docs/Samba3-HOWTO.pdf
[2011/05/30 18:12:04,  0] lib/fault.c:50(fault_report)
  ===============================================================
[2011/05/30 18:12:04,  0] lib/util.c:1480(smb_panic)
  PANIC (pid 3016): internal error
[2011/05/30 18:12:04,  0] lib/util.c:1584(log_stack_trace)
  BACKTRACE: 19 stack frames:
   #0 smbd(log_stack_trace+0x2d) [0x7eb79d]
   #1 smbd(smb_panic+0x2d) [0x7eb8bd]
   #2 smbd(+0x31cdfe) [0x7d8dfe]
   #3 [0x211400]
   #4 smbd(+0xdfb87) [0x59bb87]
   #5 smbd(+0xec66f) [0x5a866f]
   #6 smbd(reply_trans2+0x71e) [0x5aa09e]
   #7 smbd(+0x112c0e) [0x5cec0e]
   #8 smbd(+0x11307d) [0x5cf07d]
   #9 smbd(+0x113958) [0x5cf958]
   #10 smbd(run_events+0x124) [0x7fcf84]
   #11 smbd(smbd_process+0x7d2) [0x5ce4a2]
   #12 smbd(+0x615cf8) [0xad1cf8]
   #13 smbd(run_events+0x124) [0x7fcf84]
   #14 smbd(+0x34123f) [0x7fd23f]
   #15 smbd(_tevent_loop_once+0x98) [0x7fd888]
   #16 smbd(main+0xcaa) [0xad2a3a]
   #17 /lib/tls/i686/cmov/libc.so.6(__libc_start_main+0xe6) [0xfefbd6]
   #18 smbd(+0x8b231) [0x547231]

Can you add the line:

panic action = /bin/sleep 9999999

to the [global] section of your smb.conf, and then attach gdb to the crashed parent process of the sleep and type "bt" to get a backtrace to see what happened.

Thanks,

Jeremy
Comment 2 Björn Jacke 2016-04-25 13:37:10 UTC
proably fixed. if you still see this problem with a recent and supported samba
version, please reopen or file a new bug for that.